using System;
using NinjaTrader.Cbi;

internal sealed class Delegate725 : MulticastDelegate
{
	public extern Instrument Invoke(object object_0);

	public static Instrument smethod_0(object object_0, Delegate725 delegate725_1)
	{
		return delegate725_1(object_0);
	}

	public extern Delegate725(object object_0, IntPtr intptr_0);

	static Delegate725()
	{
		Class10.smethod_13(typeof(Delegate725).TypeHandle);
	}

	internal static Delegate725 delegate725_0;
}
